
.modal {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1055;
  display: none;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  outline: 0;
}

.modal-dialog {
  position: relative;
  width: auto;
  margin: 0.5rem;
  pointer-events: none;
}
.modal.fade .modal-dialog {
  -webkit-transition: -webkit-transform 0.3s ease-out;
  transition: -webkit-transform 0.3s ease-out;
  transition: transform 0.3s ease-out;
  transition: transform 0.3s ease-out, -webkit-transform 0.3s ease-out;
  -webkit-transform: translate(0, -50px);
  transform: translate(0, -50px);
}
@media (prefers-reduced-motion: reduce) {
  .modal.fade .modal-dialog {
    -webkit-transition: none;
    transition: none;
  }
}
.modal.show .modal-dialog {
  -webkit-transform: none;
  transform: none;
}
.modal.modal-static .modal-dialog {
  -webkit-transform: scale(1.02);
  transform: scale(1.02);
}

.modal-dialog-scrollable {
  height: calc(100% - 1rem);
}
.modal-dialog-scrollable .modal-content {
  max-height: 100%;
  overflow: hidden;
}
.modal-dialog-scrollable .modal-body {
  overflow-y: auto;
}

.modal-dialog-centered {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  min-height: calc(100% - 1rem);
}

.modal-content {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  width: 100%;
  pointer-events: auto;
  background-color: #191a1f;
  background-clip: padding-box;
  border: 0 solid rgba(0, 0, 0, 0.2);
  border-radius: 0.4rem;
  outline: 0;
}

.modal-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1050;
  width: 100vw;
  height: 100vh;
  background-color: #000;
}
.modal-backdrop.fade {
  opacity: 0;
}
.modal-backdrop.show {
  opacity: 0.7;
}

.modal-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 1rem 1rem;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
  border-top-left-radius: 0.4rem;
  border-top-right-radius: 0.4rem;
}
.modal-header .btn-close {
  padding: 0.5rem 0.5rem;
  margin: -0.5rem -0.5rem -0.5rem auto;
}

.modal-title {
  margin-bottom: 0;
  line-height: 1.5;
}

.modal-body {
  position: relative;
  -webkit-box-flex: 1;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  padding: 1rem;
}

.modal-footer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  padding: 0.75rem;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  border-bottom-right-radius: 0.4rem;
  border-bottom-left-radius: 0.4rem;
}
.modal-footer > * {
  margin: 0.25rem;
}

@media (min-width: 576px) {
  .modal-dialog {
    max-width: 500px;
    margin: 1.75rem auto;
  }

  .modal-dialog-scrollable {
    height: calc(100% - 3.5rem);
  }

  .modal-dialog-centered {
    min-height: calc(100% - 3.5rem);
  }

  .modal-sm {
    max-width: 300px;
  }
}
@media (min-width: 992px) {
  .modal-lg,
  .modal-xl {
    max-width: 800px;
  }
}
@media (min-width: 1200px) {
  .modal-xl {
    max-width: 1140px;
  }
}
.modal-fullscreen {
  width: 100vw;
  max-width: none;
  height: 100%;
  margin: 0;
}
.modal-fullscreen .modal-content {
  height: 100%;
  border: 0;
  border-radius: 0;
}
.modal-fullscreen .modal-header {
  border-radius: 0;
}
.modal-fullscreen .modal-body {
  overflow-y: auto;
}
.modal-fullscreen .modal-footer {
  border-radius: 0;
}

@media (max-width: 575.98px) {
  .modal-fullscreen-sm-down {
    width: 100vw;
    max-width: none;
    height: 100%;
    margin: 0;
  }
  .modal-fullscreen-sm-down .modal-content {
    height: 100%;
    border: 0;
    border-radius: 0;
  }
  .modal-fullscreen-sm-down .modal-header {
    border-radius: 0;
  }
  .modal-fullscreen-sm-down .modal-body {
    overflow-y: auto;
  }
  .modal-fullscreen-sm-down .modal-footer {
    border-radius: 0;
  }
}
@media (max-width: 767.98px) {
  .modal-fullscreen-md-down {
    width: 100vw;
    max-width: none;
    height: 100%;
    margin: 0;
  }
  .modal-fullscreen-md-down .modal-content {
    height: 100%;
    border: 0;
    border-radius: 0;
  }
  .modal-fullscreen-md-down .modal-header {
    border-radius: 0;
  }
  .modal-fullscreen-md-down .modal-body {
    overflow-y: auto;
  }
  .modal-fullscreen-md-down .modal-footer {
    border-radius: 0;
  }
}
@media (max-width: 991.98px) {
  .modal-fullscreen-lg-down {
    width: 100vw;
    max-width: none;
    height: 100%;
    margin: 0;
  }
  .modal-fullscreen-lg-down .modal-content {
    height: 100%;
    border: 0;
    border-radius: 0;
  }
  .modal-fullscreen-lg-down .modal-header {
    border-radius: 0;
  }
  .modal-fullscreen-lg-down .modal-body {
    overflow-y: auto;
  }
  .modal-fullscreen-lg-down .modal-footer {
    border-radius: 0;
  }
}
@media (max-width: 1199.98px) {
  .modal-fullscreen-xl-down {
    width: 100vw;
    max-width: none;
    height: 100%;
    margin: 0;
  }
  .modal-fullscreen-xl-down .modal-content {
    height: 100%;
    border: 0;
    border-radius: 0;
  }
  .modal-fullscreen-xl-down .modal-header {
    border-radius: 0;
  }
  .modal-fullscreen-xl-down .modal-body {
    overflow-y: auto;
  }
  .modal-fullscreen-xl-down .modal-footer {
    border-radius: 0;
  }
}
@media (max-width: 1399.98px) {
  .modal-fullscreen-xxl-down {
    width: 100vw;
    max-width: none;
    height: 100%;
    margin: 0;
  }
  .modal-fullscreen-xxl-down .modal-content {
    height: 100%;
    border: 0;
    border-radius: 0;
  }
  .modal-fullscreen-xxl-down .modal-header {
    border-radius: 0;
  }
  .modal-fullscreen-xxl-down .modal-body {
    overflow-y: auto;
  }
  .modal-fullscreen-xxl-down .modal-footer {
    border-radius: 0;
  }
}
.tooltip {
  position: absolute;
  z-index: 1080;
  display: block;
  margin: 0;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 500;
  line-height: 1.5;
  text-align: left;
  text-align: start;
  text-decoration: none;
  text-shadow: none;
  text-transform: none;
  letter-spacing: normal;
  word-break: normal;
  word-spacing: normal;
  white-space: normal;
  line-break: auto;
  font-size: 0.6875rem;
  word-wrap: break-word;
  opacity: 0;
}
.tooltip.show {
  opacity: 0.9;
}
.tooltip .tooltip-arrow {
  position: absolute;
  display: block;
  width: 0.8rem;
  height: 0.4rem;
}
.tooltip .tooltip-arrow::before {
  position: absolute;
  content: "";
  border-color: transparent;
  border-style: solid;
}

.bs-tooltip-top, .bs-tooltip-auto[data-popper-placement^=top] {
  padding: 0.4rem 0;
}
.bs-tooltip-top .tooltip-arrow, .bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow {
  bottom: 0;
}
.bs-tooltip-top .tooltip-arrow::before, .bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow::before {
  top: -1px;
  border-width: 0.4rem 0.4rem 0;
  border-top-color: #000;
}

.bs-tooltip-end, .bs-tooltip-auto[data-popper-placement^=right] {
  padding: 0 0.4rem;
}
.bs-tooltip-end .tooltip-arrow, .bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow {
  left: 0;
  width: 0.4rem;
  height: 0.8rem;
}
.bs-tooltip-end .tooltip-arrow::before, .bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow::before {
  right: -1px;
  border-width: 0.4rem 0.4rem 0.4rem 0;
  border-right-color: #000;
}

.bs-tooltip-bottom, .bs-tooltip-auto[data-popper-placement^=bottom] {
  padding: 0.4rem 0;
}
.bs-tooltip-bottom .tooltip-arrow, .bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow {
  top: 0;
}
.bs-tooltip-bottom .tooltip-arrow::before, .bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow::before {
  bottom: -1px;
  border-width: 0 0.4rem 0.4rem;
  border-bottom-color: #000;
}

.bs-tooltip-start, .bs-tooltip-auto[data-popper-placement^=left] {
  padding: 0 0.4rem;
}
.bs-tooltip-start .tooltip-arrow, .bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow {
  right: 0;
  width: 0.4rem;
  height: 0.8rem;
}
.bs-tooltip-start .tooltip-arrow::before, .bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow::before {
  left: -1px;
  border-width: 0.4rem 0 0.4rem 0.4rem;
  border-left-color: #000;
}

.tooltip-inner {
  max-width: 200px;
  padding: 0.25rem 0.5rem;
  color: #fff;
  text-align: center;
  background-color: #000;
  border-radius: 0.25rem;
}

.popover {
  position: absolute;
  top: 0;
  left: 0 /* rtl:ignore */;
  z-index: 1070;
  display: block;
  max-width: 276px;
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 500;
  line-height: 1.5;
  text-align: left;
  text-align: start;
  text-decoration: none;
  text-shadow: none;
  text-transform: none;
  letter-spacing: normal;
  word-break: normal;
  word-spacing: normal;
  white-space: normal;
  line-break: auto;
  font-size: 0.875rem;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 0.3rem;
}
.popover .popover-arrow {
  position: absolute;
  display: block;
  width: 1rem;
  height: 0.5rem;
}
.popover .popover-arrow::before, .popover .popover-arrow::after {
  position: absolute;
  display: block;
  content: "";
  border-color: transparent;
  border-style: solid;
}

.bs-popover-top > .popover-arrow, .bs-popover-auto[data-popper-placement^=top] > .popover-arrow {
  bottom: calc(-0.5rem - 1px);
}
.bs-popover-top > .popover-arrow::before, .bs-popover-auto[data-popper-placement^=top] > .popover-arrow::before {
  bottom: 0;
  border-width: 0.5rem 0.5rem 0;
  border-top-color: rgba(0, 0, 0, 0.25);
}
.bs-popover-top > .popover-arrow::after, .bs-popover-auto[data-popper-placement^=top] > .popover-arrow::after {
  bottom: 1px;
  border-width: 0.5rem 0.5rem 0;
  border-top-color: #fff;
}

.bs-popover-end > .popover-arrow, .bs-popover-auto[data-popper-placement^=right] > .popover-arrow {
  left: calc(-0.5rem - 1px);
  width: 0.5rem;
  height: 1rem;
}
.bs-popover-end > .popover-arrow::before, .bs-popover-auto[data-popper-placement^=right] > .popover-arrow::before {
  left: 0;
  border-width: 0.5rem 0.5rem 0.5rem 0;
  border-right-color: rgba(0, 0, 0, 0.25);
}
.bs-popover-end > .popover-arrow::after, .bs-popover-auto[data-popper-placement^=right] > .popover-arrow::after {
  left: 1px;
  border-width: 0.5rem 0.5rem 0.5rem 0;
  border-right-color: #fff;
}

.bs-popover-bottom > .popover-arrow, .bs-popover-auto[data-popper-placement^=bottom] > .popover-arrow {
  top: calc(-0.5rem - 1px);
}
.bs-popover-bottom > .popover-arrow::before, .bs-popover-auto[data-popper-placement^=bottom] > .popover-arrow::before {
  top: 0;
  border-width: 0 0.5rem 0.5rem 0.5rem;
  border-bottom-color: rgba(0, 0, 0, 0.25);
}
.bs-popover-bottom > .popover-arrow::after, .bs-popover-auto[data-popper-placement^=bottom] > .popover-arrow::after {
  top: 1px;
  border-width: 0 0.5rem 0.5rem 0.5rem;
  border-bottom-color: #fff;
}
.bs-popover-bottom .popover-header::before, .bs-popover-auto[data-popper-placement^=bottom] .popover-header::before {
  position: absolute;
  top: 0;
  left: 50%;
  display: block;
  width: 1rem;
  margin-left: -0.5rem;
  content: "";
  border-bottom: 1px solid #f0f0f0;
}

.bs-popover-start > .popover-arrow, .bs-popover-auto[data-popper-placement^=left] > .popover-arrow {
  right: calc(-0.5rem - 1px);
  width: 0.5rem;
  height: 1rem;
}
.bs-popover-start > .popover-arrow::before, .bs-popover-auto[data-popper-placement^=left] > .popover-arrow::before {
  right: 0;
  border-width: 0.5rem 0 0.5rem 0.5rem;
  border-left-color: rgba(0, 0, 0, 0.25);
}
.bs-popover-start > .popover-arrow::after, .bs-popover-auto[data-popper-placement^=left] > .popover-arrow::after {
  right: 1px;
  border-width: 0.5rem 0 0.5rem 0.5rem;
  border-left-color: #fff;
}

.popover-header {
  padding: 0.5rem 1rem;
  margin-bottom: 0;
  font-size: 0.9375rem;
  color: #fff;
  background-color: #f0f0f0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
  border-top-left-radius: calc(0.3rem - 1px);
  border-top-right-radius: calc(0.3rem - 1px);
}
.popover-header:empty {
  display: none;
}

.popover-body {
  padding: 1rem 1rem;
  color: #212529;
}

.carousel {
  position: relative;
}

.carousel.pointer-event {
  -ms-touch-action: pan-y;
  touch-action: pan-y;
}

.carousel-inner {
  position: relative;
  width: 100%;
  overflow: hidden;
}
.carousel-inner::after {
  display: block;
  clear: both;
  content: "";
}

.carousel-item {
  position: relative;
  display: none;
  float: left;
  width: 100%;
  margin-right: -100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transition: -webkit-transform 0.6s ease-in-out;
  transition: -webkit-transform 0.6s ease-in-out;
  transition: transform 0.6s ease-in-out;
  transition: transform 0.6s ease-in-out, -webkit-transform 0.6s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .carousel-item {
    -webkit-transition: none;
    transition: none;
  }
}

.carousel-item.active,
.carousel-item-next,
.carousel-item-prev {
  display: block;
}

/* rtl:begin:ignore */
.carousel-item-next:not(.carousel-item-start),
.active.carousel-item-end {
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
}

.carousel-item-prev:not(.carousel-item-end),
.active.carousel-item-start {
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
}

/* rtl:end:ignore */
.carousel-fade .carousel-item {
  opacity: 0;
  -webkit-transition-property: opacity;
  transition-property: opacity;
  -webkit-transform: none;
  transform: none;
}
.carousel-fade .carousel-item.active,
.carousel-fade .carousel-item-next.carousel-item-start,
.carousel-fade .carousel-item-prev.carousel-item-end {
  z-index: 1;
  opacity: 1;
}
.carousel-fade .active.carousel-item-start,
.carousel-fade .active.carousel-item-end {
  z-index: 0;
  opacity: 0;
  -webkit-transition: opacity 0s 0.6s;
  transition: opacity 0s 0.6s;
}
@media (prefers-reduced-motion: reduce) {
  .carousel-fade .active.carousel-item-start,
  .carousel-fade .active.carousel-item-end {
    -webkit-transition: none;
    transition: none;
  }
}

.carousel-control-prev,
.carousel-control-next {
  position: absolute;
  top: 0;
  bottom: 0;
  z-index: 1;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  width: 15%;
  padding: 0;
  color: #fff;
  text-align: center;
  background: none;
  border: 0;
  opacity: 0.5;
  -webkit-transition: opacity 0.15s ease;
  transition: opacity 0.15s ease;
}
@media (prefers-reduced-motion: reduce) {
  .carousel-control-prev,
  .carousel-control-next {
    -webkit-transition: none;
    transition: none;
  }
}
.carousel-control-prev:hover, .carousel-control-prev:focus,
.carousel-control-next:hover,
.carousel-control-next:focus {
  color: #fff;
  text-decoration: none;
  outline: 0;
  opacity: 0.9;
}

.carousel-control-prev {
  left: 0;
}

.carousel-control-next {
  right: 0;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  display: inline-block;
  width: 2rem;
  height: 2rem;
  background-repeat: no-repeat;
  background-position: 50%;
  background-size: 100% 100%;
}

/* rtl:options: {
  "autoRename": true,
  "stringMap":[ {
    "name"    : "prev-next",
    "search"  : "prev",
    "replace" : "next"
  } ]
} */
.carousel-control-prev-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/%3e%3c/svg%3e");
}

.carousel-control-next-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

.carousel-indicators {
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 2;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  padding: 0;
  margin-right: 15%;
  margin-bottom: 1rem;
  margin-left: 15%;
  list-style: none;
}
.carousel-indicators [data-bs-target] {
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
  -webkit-box-flex: 0;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
  width: 30px;
  height: 3px;
  padding: 0;
  margin-right: 3px;
  margin-left: 3px;
  text-indent: -999px;
  cursor: pointer;
  background-color: #fff;
  background-clip: padding-box;
  border: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  opacity: 0.5;
  -webkit-transition: opacity 0.6s ease;
  transition: opacity 0.6s ease;
}
@media (prefers-reduced-motion: reduce) {
  .carousel-indicators [data-bs-target] {
    -webkit-transition: none;
    transition: none;
  }
}
.carousel-indicators .active {
  opacity: 1;
}

.carousel-caption {
  position: absolute;
  right: 15%;
  bottom: 1.25rem;
  left: 15%;
  padding-top: 1.25rem;
  padding-bottom: 1.25rem;
  color: #fff;
  text-align: center;
}

.carousel-dark .carousel-control-prev-icon,
.carousel-dark .carousel-control-next-icon {
  -webkit-filter: invert(1) grayscale(100);
  filter: invert(1) grayscale(100);
}
.carousel-dark .carousel-indicators [data-bs-target] {
  background-color: #000;
}
.carousel-dark .carousel-caption {
  color: #000;
}

@-webkit-keyframes spinner-border {
  to {
    -webkit-transform: rotate(360deg) /* rtl:ignore */;
    transform: rotate(360deg) /* rtl:ignore */;
  }
}

@keyframes spinner-border {
  to {
    -webkit-transform: rotate(360deg) /* rtl:ignore */;
    transform: rotate(360deg) /* rtl:ignore */;
  }
}
.spinner-border {
  display: inline-block;
  width: 2rem;
  height: 2rem;
  vertical-align: -0.125em;
  border: 0.25em solid currentColor;
  border-right-color: transparent;
  border-radius: 50%;
  -webkit-animation: 0.75s linear infinite spinner-border;
  animation: 0.75s linear infinite spinner-border;
}

.spinner-border-sm {
  width: 1rem;
  height: 1rem;
  border-width: 0.2em;
}

@-webkit-keyframes spinner-grow {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  50% {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}

@keyframes spinner-grow {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  50% {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}
.spinner-grow {
  display: inline-block;
  width: 2rem;
  height: 2rem;
  vertical-align: -0.125em;
  background-color: currentColor;
  border-radius: 50%;
  opacity: 0;
  -webkit-animation: 0.75s linear infinite spinner-grow;
  animation: 0.75s linear infinite spinner-grow;
}

.spinner-grow-sm {
  width: 1rem;
  height: 1rem;
}

@media (prefers-reduced-motion: reduce) {
  .spinner-border,
  .spinner-grow {
    -webkit-animation-duration: 1.5s;
    animation-duration: 1.5s;
  }
}
.offcanvas {
  position: fixed;
  bottom: 0;
  z-index: 1045;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  max-width: 100%;
  visibility: hidden;
  background-color: #191a1f;
  background-clip: padding-box;
  outline: 0;
  -webkit-transition: -webkit-transform 0.3s ease-in-out;
  transition: -webkit-transform 0.3s ease-in-out;
  transition: transform 0.3s ease-in-out;
  transition: transform 0.3s ease-in-out, -webkit-transform 0.3s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .offcanvas {
    -webkit-transition: none;
    transition: none;
  }
}

.offcanvas-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1040;
  width: 100vw;
  height: 100vh;
  background-color: #000;
}
.offcanvas-backdrop.fade {
  opacity: 0;
}
.offcanvas-backdrop.show {
  opacity: 0.5;
}

.offcanvas-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 1rem 1.5rem;
}
.offcanvas-header .btn-close {
  padding: 0.5rem 0.75rem;
  margin-top: -0.5rem;
  margin-right: -0.75rem;
  margin-bottom: -0.5rem;
}

.offcanvas-title {
  margin-bottom: 0;
  line-height: 1.5;
}

.offcanvas-body {
  -webkit-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  padding: 1rem 1.5rem;
  overflow-y: auto;
}

.offcanvas-start {
  top: 0;
  left: 0;
  width: 400px;
  border-right: 1px solid rgba(0, 0, 0, 0.1);
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
}

.offcanvas-end {
  top: 0;
  right: 0;
  width: 400px;
  border-left: 1px solid rgba(0, 0, 0, 0.1);
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
}

.offcanvas-top {
  top: 0;
  right: 0;
  left: 0;
  height: 30vh;
  max-height: 100%;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  -webkit-transform: translateY(-100%);
  transform: translateY(-100%);
}

.offcanvas-bottom {
  right: 0;
  left: 0;
  height: 30vh;
  max-height: 100%;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  -webkit-transform: translateY(100%);
  transform: translateY(100%);
}

.offcanvas.show {
  -webkit-transform: none;
  transform: none;
}

.placeholder {
  display: inline-block;
  min-height: 1em;
  vertical-align: middle;
  cursor: wait;
  background-color: currentColor;
  opacity: 0.5;
}
.placeholder.btn::before {
  display: inline-block;
  content: "";
}

.placeholder-xs {
  min-height: 0.6em;
}

.placeholder-sm {
  min-height: 0.8em;
}

.placeholder-lg {
  min-height: 1.2em;
}

.placeholder-glow .placeholder {
  -webkit-animation: placeholder-glow 2s ease-in-out infinite;
  animation: placeholder-glow 2s ease-in-out infinite;
}

@-webkit-keyframes placeholder-glow {
  50% {
    opacity: 0.2;
  }
}

@keyframes placeholder-glow {
  50% {
    opacity: 0.2;
  }
}
.placeholder-wave {
  -webkit-mask-image: linear-gradient(130deg, #000 55%, rgba(0, 0, 0, 0.8) 75%, #000 95%);
  mask-image: linear-gradient(130deg, #000 55%, rgba(0, 0, 0, 0.8) 75%, #000 95%);
  -webkit-mask-size: 200% 100%;
  mask-size: 200% 100%;
  -webkit-animation: placeholder-wave 2s linear infinite;
  animation: placeholder-wave 2s linear infinite;
}

@-webkit-keyframes placeholder-wave {
  100% {
    -webkit-mask-position: -200% 0%;
    mask-position: -200% 0%;
  }
}

@keyframes placeholder-wave {
  100% {
    -webkit-mask-position: -200% 0%;
    mask-position: -200% 0%;
  }
}
.clearfix::after {
  display: block;
  clear: both;
  content: "";
}

.link-primary {
  color: #0f6fec;
}
.link-primary:hover, .link-primary:focus {
  color: #0c59bd;
}

.link-secondary {
  color: #c5c6cc;
}
.link-secondary:hover, .link-secondary:focus {
  color: #d1d1d6;
}

.link-success {
  color: #0cbc87;
}
.link-success:hover, .link-success:focus {
  color: #0a966c;
}

.link-info {
  color: #4f9ef8;
}
.link-info:hover, .link-info:focus {
  color: #3f7ec6;
}

.link-warning {
  color: #f7c32e;
}
.link-warning:hover, .link-warning:focus {
  color: #f9cf58;
}

.link-danger {
  color: #d6293e;
}
.link-danger:hover, .link-danger:focus {
  color: #ab2132;
}

.link-light {
  color: #202227;
}
.link-light:hover, .link-light:focus {
  color: #1a1b1f;
}

.link-dark {
  color: #0f0f10;
}
.link-dark:hover, .link-dark:focus {
  color: #0c0c0d;
}

.ratio {
  position: relative;
  width: 100%;
}
.ratio::before {
  display: block;
  padding-top: var(--bs-aspect-ratio);
  content: "";
}
.ratio > * {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.ratio-1x1 {
  --bs-aspect-ratio: 100%;
}

.ratio-4x3 {
  --bs-aspect-ratio: 75%;
}

.ratio-16x9 {
  --bs-aspect-ratio: 56.25%;
}

.ratio-21x9 {
  --bs-aspect-ratio: 42.8571428571%;
}

.fixed-top {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1030;
}

.fixed-bottom {
  position: fixed;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1030;
}

.sticky-top {
  position: sticky;
  top: 0;
  z-index: 1020;
}

@media (min-width: 576px) {
  .sticky-sm-top {
    position: sticky;
    top: 0;
    z-index: 1020;
  }
}
@media (min-width: 768px) {
  .sticky-md-top {
    position: sticky;
    top: 0;
    z-index: 1020;
  }
}
@media (min-width: 992px) {
  .sticky-lg-top {
    position: sticky;
    top: 0;
    z-index: 1020;
  }
}
@media (min-width: 1200px) {
  .sticky-xl-top {
    position: sticky;
    top: 0;
    z-index: 1020;
  }
}
@media (min-width: 1400px) {
  .sticky-xxl-top {
    position: sticky;
    top: 0;
    z-index: 1020;
  }
}
.hstack {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-item-align: stretch;
  align-self: stretch;
}

.vstack {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -ms-flex-item-align: stretch;
  align-self: stretch;
}

.visually-hidden,
.visually-hidden-focusable:not(:focus):not(:focus-within) {
  position: absolute  ;
  width: 1px  ;
  height: 1px  ;
  padding: 0  ;
  margin: -1px  ;
  overflow: hidden  ;
  clip: rect(0, 0, 0, 0)  ;
  white-space: nowrap  ;
  border: 0  ;
}

.stretched-link::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  content: "";
}

.text-truncate {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.vr {
  display: inline-block;
  -ms-flex-item-align: stretch;
  align-self: stretch;
  width: 1px;
  min-height: 1em;
  background-color: currentColor;
  opacity: 0.6;
}

.align-baseline {
  vertical-align: baseline  ;
}

.align-top {
  vertical-align: top  ;
}

.align-middle {
  vertical-align: middle  ;
}

.align-bottom {
  vertical-align: bottom  ;
}

.align-text-bottom {
  vertical-align: text-bottom  ;
}

.align-text-top {
  vertical-align: text-top  ;
}

.float-start {
  float: left  ;
}

.float-end {
  float: right  ;
}

.float-none {
  float: none  ;
}

.opacity-0 {
  opacity: 0  ;
}

.opacity-25 {
  opacity: 0.25  ;
}

.opacity-50 {
  opacity: 0.5  ;
}

.opacity-75 {
  opacity: 0.75  ;
}

.opacity-100 {
  opacity: 1  ;
}

.overflow-auto {
  overflow: auto  ;
}

.overflow-hidden {
  overflow: hidden  ;
}

.overflow-visible {
  overflow: visible  ;
}

.overflow-scroll {
  overflow: scroll  ;
}

.d-inline {
  display: inline  ;
}

.d-inline-block {
  display: inline-block  ;
}

.d-block {
  display: block  ;
}

.d-grid {
  display: grid  ;
}

.d-table {
  display: table  ;
}

.d-table-row {
  display: table-row  ;
}

.d-table-cell {
  display: table-cell  ;
}

.d-flex {
  display: -webkit-box  ;
  display: -ms-flexbox  ;
  display: flex  ;
}

.d-inline-flex {
  display: -webkit-inline-box  ;
  display: -ms-inline-flexbox  ;
  display: inline-flex  ;
}

.d-none {
  display: none  ;
}

.shadow {
  -webkit-box-shadow: none  ;
  box-shadow: none  ;
}

.shadow-sm {
  -webkit-box-shadow: none  ;
  box-shadow: none  ;
}

.shadow-lg {
  -webkit-box-shadow: none  ;
  box-shadow: none  ;
}

.shadow-none {
  -webkit-box-shadow: none  ;
  box-shadow: none  ;
}

.position-static {
  position: static  ;
}

.position-relative {
  position: relative  ;
}

.position-absolute {
  position: absolute  ;
}

.position-fixed {
  position: fixed  ;
}

.position-sticky {
  position: sticky  ;
}

.top-0 {
  top: 0  ;
}

.top-50 {
  top: 50%  ;
}

.top-100 {
  top: 100%  ;
}

.bottom-0 {
  bottom: 0  ;
}

.bottom-50 {
  bottom: 50%  ;
}

.bottom-100 {
  bottom: 100%  ;
}

.start-0 {
  left: 0  ;
}

.start-50 {
  left: 50%  ;
}

.start-100 {
  left: 100%  ;
}

.end-0 {
  right: 0  ;
}

.end-50 {
  right: 50%  ;
}

.end-100 {
  right: 100%  ;
}

.translate-middle {
  -webkit-transform: translate(-50%, -50%)  ;
  transform: translate(-50%, -50%)  ;
}

.translate-middle-x {
  -webkit-transform: translateX(-50%)  ;
  transform: translateX(-50%)  ;
}

.translate-middle-y {
  -webkit-transform: translateY(-50%)  ;
  transform: translateY(-50%)  ;
}

.border {
  border: 1px solid rgba(255, 255, 255, 0.1)  ;
}

.border-0 {
  border: 0  ;
}

.border-top {
  border-top: 1px solid rgba(255, 255, 255, 0.1)  ;
}

.border-top-0 {
  border-top: 0  ;
}

.border-end {
  border-right: 1px solid rgba(255, 255, 255, 0.1)  ;
}

.border-end-0 {
  border-right: 0  ;
}

.border-bottom {
  border-bottom: 1px solid rgba(255, 255, 255, 0.1)  ;
}

.border-bottom-0 {
  border-bottom: 0  ;
}

.border-start {
  border-left: 1px solid rgba(255, 255, 255, 0.1)  ;
}

.border-start-0 {
  border-left: 0  ;
}

.border-primary {
  border-color: #0f6fec  ;
}

.border-secondary {
  border-color: #c5c6cc  ;
}

.border-success {
  border-color: #0cbc87  ;
}

.border-info {
  border-color: #4f9ef8  ;
}

.border-warning {
  border-color: #f7c32e  ;
}

.border-danger {
  border-color: #d6293e  ;
}

.border-light {
  border-color: #202227  ;
}

.border-dark {
  border-color: #0f0f10  ;
}

.border-white {
  border-color: #fff  ;
}

.border-1 {
  border-width: 1px  ;
}

.border-2 {
  border-width: 2px  ;
}

.border-3 {
  border-width: 3px  ;
}

.border-4 {
  border-width: 4px  ;
}

.border-5 {
  border-width: 5px  ;
}

.w-25 {
  width: 25%  ;
}

.w-50 {
  width: 50%  ;
}

.w-75 {
  width: 75%  ;
}

.w-100 {
  width: 100%  ;
}

.w-auto {
  width: auto  ;
}

.mw-100 {
  max-width: 100%  ;
}

.vw-100 {
  width: 100vw  ;
}

.min-vw-100 {
  min-width: 100vw  ;
}

.h-25 {
  height: 25%  ;
}

.h-50 {
  height: 50%  ;
}

.h-75 {
  height: 75%  ;
}

.h-100 {
  height: 100%  ;
}

.h-auto {
  height: auto  ;
}

.mh-100 {
  max-height: 100%  ;
}

.vh-100 {
  height: 100vh  ;
}

.min-vh-100 {
  min-height: 100vh  ;
}

.flex-fill {
  -webkit-box-flex: 1  ;
  -ms-flex: 1 1 auto  ;
  flex: 1 1 auto  ;
}

.flex-row {
  -webkit-box-orient: horizontal  ;
  -webkit-box-direction: normal  ;
  -ms-flex-direction: row  ;
  flex-direction: row  ;
}

.flex-column {
  -webkit-box-orient: vertical  ;
  -webkit-box-direction: normal  ;
  -ms-flex-direction: column  ;
  flex-direction: column  ;
}

.flex-row-reverse {
  -webkit-box-orient: horizontal  ;
  -webkit-box-direction: reverse  ;
  -ms-flex-direction: row-reverse  ;
  flex-direction: row-reverse  ;
}

.flex-column-reverse {
  -webkit-box-orient: vertical  ;
  -webkit-box-direction: reverse  ;
  -ms-flex-direction: column-reverse  ;
  flex-direction: column-reverse  ;
}

.flex-grow-0 {
  -webkit-box-flex: 0  ;
  -ms-flex-positive: 0  ;
  flex-grow: 0  ;
}

.flex-grow-1 {
  -webkit-box-flex: 1  ;
  -ms-flex-positive: 1  ;
  flex-grow: 1  ;
}

.flex-shrink-0 {
  -ms-flex-negative: 0  ;
  flex-shrink: 0  ;
}

.flex-shrink-1 {
  -ms-flex-negative: 1  ;
  flex-shrink: 1  ;
}

.flex-wrap {
  -ms-flex-wrap: wrap  ;
  flex-wrap: wrap  ;
}

.flex-nowrap {
  -ms-flex-wrap: nowrap  ;
  flex-wrap: nowrap  ;
}

.flex-wrap-reverse {
  -ms-flex-wrap: wrap-reverse  ;
  flex-wrap: wrap-reverse  ;
}

.gap-0 {
  gap: 0  ;
}

.gap-1 {
  gap: 0.25rem  ;
}

.gap-2 {
  gap: 0.5rem  ;
}

.gap-3 {
  gap: 1rem  ;
}

.gap-4 {
  gap: 1.5rem  ;
}

.gap-5 {
  gap: 3rem  ;
}

.justify-content-start {
  -webkit-box-pack: start  ;
  -ms-flex-pack: start  ;
  justify-content: flex-start  ;
}

.justify-content-end {
  -webkit-box-pack: end  ;
  -ms-flex-pack: end  ;
  justify-content: flex-end  ;
}

.justify-content-center {
  -webkit-box-pack: center  ;
  -ms-flex-pack: center  ;
  justify-content: center  ;
}

.justify-content-between {
  -webkit-box-pack: justify  ;
  -ms-flex-pack: justify  ;
  justify-content: space-between  ;
}

.justify-content-around {
  -ms-flex-pack: distribute  ;
  justify-content: space-around  ;
}

.justify-content-evenly {
  -webkit-box-pack: space-evenly  ;
  -ms-flex-pack: space-evenly  ;
  justify-content: space-evenly  ;
}

.align-items-start {
  -webkit-box-align: start  ;
  -ms-flex-align: start  ;
  align-items: flex-start  ;
}

.align-items-end {
  -webkit-box-align: end  ;
  -ms-flex-align: end  ;
  align-items: flex-end  ;
}

.align-items-center {
  -webkit-box-align: center  ;
  -ms-flex-align: center  ;
  align-items: center  ;
}

.align-items-baseline {
  -webkit-box-align: baseline  ;
  -ms-flex-align: baseline  ;
  align-items: baseline  ;
}

.align-items-stretch {
  -webkit-box-align: stretch  ;
  -ms-flex-align: stretch  ;
  align-items: stretch  ;
}

.align-content-start {
  -ms-flex-line-pack: start  ;
  align-content: flex-start  ;
}

.align-content-end {
  -ms-flex-line-pack: end  ;
  align-content: flex-end  ;
}

.align-content-center {
  -ms-flex-line-pack: center  ;
  align-content: center  ;
}

.align-content-between {
  -ms-flex-line-pack: justify  ;
  align-content: space-between  ;
}

.align-content-around {
  -ms-flex-line-pack: distribute  ;
  align-content: space-around  ;
}

.align-content-stretch {
  -ms-flex-line-pack: stretch  ;
  align-content: stretch  ;
}

.align-self-auto {
  -ms-flex-item-align: auto  ;
  align-self: auto  ;
}

.align-self-start {
  -ms-flex-item-align: start  ;
  align-self: flex-start  ;
}

.align-self-end {
  -ms-flex-item-align: end  ;
  align-self: flex-end  ;
}

.align-self-center {
  -ms-flex-item-align: center  ;
  align-self: center  ;
}

.align-self-baseline {
  -ms-flex-item-align: baseline  ;
  align-self: baseline  ;
}

.align-self-stretch {
  -ms-flex-item-align: stretch  ;
  align-self: stretch  ;
}

.order-first {
  -webkit-box-ordinal-group: 0  ;
  -ms-flex-order: -1  ;
  order: -1  ;
}

.order-0 {
  -webkit-box-ordinal-group: 1  ;
  -ms-flex-order: 0  ;
  order: 0  ;
}

.order-1 {
  -webkit-box-ordinal-group: 2  ;
  -ms-flex-order: 1  ;
  order: 1  ;
}

.order-2 {
  -webkit-box-ordinal-group: 3  ;
  -ms-flex-order: 2  ;
  order: 2  ;
}

.order-3 {
  -webkit-box-ordinal-group: 4  ;
  -ms-flex-order: 3  ;
  order: 3  ;
}

.order-4 {
  -webkit-box-ordinal-group: 5  ;
  -ms-flex-order: 4  ;
  order: 4  ;
}

.order-5 {
  -webkit-box-ordinal-group: 6  ;
  -ms-flex-order: 5  ;
  order: 5  ;
}

.order-last {
  -webkit-box-ordinal-group: 7  ;
  -ms-flex-order: 6  ;
  order: 6  ;
}

.m-0 {
  margin: 0  ;
}

.m-1 {
  margin: 0.25rem  ;
}

.m-2 {
  margin: 0.5rem  ;
}

.m-3 {
  margin: 1rem  ;
}

.m-4 {
  margin: 1.5rem  ;
}

.m-5 {
  margin: 3rem  ;
}

.m-auto {
  margin: auto  ;
}

.mx-0 {
  margin-right: 0  ;
  margin-left: 0  ;
}

.mx-1 {
  margin-right: 0.25rem  ;
  margin-left: 0.25rem  ;
}

.mx-2 {
  margin-right: 0.5rem  ;
  margin-left: 0.5rem  ;
}

.mx-3 {
  margin-right: 1rem  ;
  margin-left: 1rem  ;
}

.mx-4 {
  margin-right: 1.5rem  ;
  margin-left: 1.5rem  ;
}

.mx-5 {
  margin-right: 3rem  ;
  margin-left: 3rem  ;
}

.mx-auto {
  margin-right: auto  ;
  margin-left: auto  ;
}

.my-0 {
  margin-top: 0  ;
  margin-bottom: 0  ;
}

.my-1 {
  margin-top: 0.25rem  ;
  margin-bottom: 0.25rem  ;
}

.my-2 {
  margin-top: 0.5rem  ;
  margin-bottom: 0.5rem  ;
}

.my-3 {
  margin-top: 1rem  ;
  margin-bottom: 1rem  ;
}

.my-4 {
  margin-top: 1.5rem  ;
  margin-bottom: 1.5rem  ;
}

.my-5 {
  margin-top: 3rem  ;
  margin-bottom: 3rem  ;
}

.my-auto {
  margin-top: auto  ;
  margin-bottom: auto  ;
}

.mt-0 {
  margin-top: 0  ;
}

.mt-1 {
  margin-top: 0.25rem  ;
}

.mt-2 {
  margin-top: 0.5rem  ;
}

.mt-3 {
  margin-top: 1rem  ;
}

.mt-4 {
  margin-top: 1.5rem  ;
}

.mt-5 {
  margin-top: 3rem  ;
}

.mt-auto {
  margin-top: auto  ;
}

.me-0 {
  margin-right: 0  ;
}

.me-1 {
  margin-right: 0.25rem  ;
}

.me-2 {
  margin-right: 0.5rem  ;
}

.me-3 {
  margin-right: 1rem  ;
}

.me-4 {
  margin-right: 1.5rem  ;
}

.me-5 {
  margin-right: 3rem  ;
}

.me-auto {
  margin-right: auto  ;
}

.mb-0 {
  margin-bottom: 0  ;
}

.mb-1 {
  margin-bottom: 0.25rem  ;
}

.mb-2 {
  margin-bottom: 0.5rem  ;
}

.mb-3 {
  margin-bottom: 1rem  ;
}

.mb-4 {
  margin-bottom: 1.5rem  ;
}

.mb-5 {
  margin-bottom: 3rem  ;
}

.mb-auto {
  margin-bottom: auto  ;
}

.ms-0 {
  margin-left: 0  ;
}

.ms-1 {
  margin-left: 0.25rem  ;
}

.ms-2 {
  margin-left: 0.5rem  ;
}

.ms-3 {
  margin-left: 1rem  ;
}

.ms-4 {
  margin-left: 1.5rem  ;
}

.ms-5 {
  margin-left: 3rem  ;
}

.ms-auto {
  margin-left: auto  ;
}

.m-n1 {
  margin: -0.25rem  ;
}

.m-n2 {
  margin: -0.5rem  ;
}

.m-n3 {
  margin: -1rem  ;
}

.m-n4 {
  margin: -1.5rem  ;
}

.m-n5 {
  margin: -3rem  ;
}

.mx-n1 {
  margin-right: -0.25rem  ;
  margin-left: -0.25rem  ;
}

.mx-n2 {
  margin-right: -0.5rem  ;
  margin-left: -0.5rem  ;
}

.mx-n3 {
  margin-right: -1rem  ;
  margin-left: -1rem  ;
}

.mx-n4 {
  margin-right: -1.5rem  ;
  margin-left: -1.5rem  ;
}

.mx-n5 {
  margin-right: -3rem  ;
  margin-left: -3rem  ;
}

.my-n1 {
  margin-top: -0.25rem  ;
  margin-bottom: -0.25rem  ;
}

.my-n2 {
  margin-top: -0.5rem  ;
  margin-bottom: -0.5rem  ;
}

.my-n3 {
  margin-top: -1rem  ;
  margin-bottom: -1rem  ;
}

.my-n4 {
  margin-top: -1.5rem  ;
  margin-bottom: -1.5rem  ;
}

.my-n5 {
  margin-top: -3rem  ;
  margin-bottom: -3rem  ;
}

.mt-n1 {
  margin-top: -0.25rem  ;
}

.mt-n2 {
  margin-top: -0.5rem  ;
}

.mt-n3 {
  margin-top: -1rem  ;
}

.mt-n4 {
  margin-top: -1.5rem  ;
}

.mt-n5 {
  margin-top: -3rem  ;
}

.me-n1 {
  margin-right: -0.25rem  ;
}

.me-n2 {
  margin-right: -0.5rem  ;
}

.me-n3 {
  margin-right: -1rem  ;
}

.me-n4 {
  margin-right: -1.5rem  ;
}

.me-n5 {
  margin-right: -3rem  ;
}

.mb-n1 {
  margin-bottom: -0.25rem  ;
}

.mb-n2 {
  margin-bottom: -0.5rem  ;
}

.mb-n3 {
  margin-bottom: -1rem  ;
}

.mb-n4 {
  margin-bottom: -1.5rem  ;
}

.mb-n5 {
  margin-bottom: -3rem  ;
}

.ms-n1 {
  margin-left: -0.25rem  ;
}

.ms-n2 {
  margin-left: -0.5rem  ;
}

.ms-n3 {
  margin-left: -1rem  ;
}

.ms-n4 {
  margin-left: -1.5rem  ;
}

.ms-n5 {
  margin-left: -3rem  ;
}

.p-0 {
  padding: 0  ;
}

.p-1 {
  padding: 0.25rem  ;
}

.p-2 {
  padding: 0.5rem  ;
}

.p-3 {
  padding: 1rem  ;
}

.p-4 {
  padding: 1.5rem  ;
}

.p-5 {
  padding: 3rem  ;
}

.px-0 {
  padding-right: 0  ;
  padding-left: 0  ;
}

.px-1 {
  padding-right: 0.25rem  ;
  padding-left: 0.25rem  ;
}

.px-2 {
  padding-right: 0.5rem  ;
  padding-left: 0.5rem  ;
}

.px-3 {
  padding-right: 1rem  ;
  padding-left: 1rem  ;
}

.px-4 {
  padding-right: 1.5rem  ;
  padding-left: 1.5rem  ;
}

.px-5 {
  padding-right: 3rem  ;
  padding-left: 3rem  ;
}

.py-0 {
  padding-top: 0  ;
  padding-bottom: 0  ;
}

.py-1 {
  padding-top: 0.25rem  ;
  padding-bottom: 0.25rem  ;
}

.py-2 {
  padding-top: 0.5rem  ;
  padding-bottom: 0.5rem  ;
}

.py-3 {
  padding-top: 1rem  ;
  padding-bottom: 1rem  ;
}

.py-4 {
  padding-top: 1.5rem  ;
  padding-bottom: 1.5rem  ;
}

.py-5 {
  padding-top: 3rem  ;
  padding-bottom: 3rem  ;
}

.pt-0 {
  padding-top: 0  ;
}

.pt-1 {
  padding-top: 0.25rem  ;
}

.pt-2 {
  padding-top: 0.5rem  ;
}

.pt-3 {
  padding-top: 1rem  ;
}

.pt-4 {
  padding-top: 1.5rem  ;
}

.pt-5 {
  padding-top: 3rem  ;
}

.pe-0 {
  padding-right: 0  ;
}

.pe-1 {
  padding-right: 0.25rem  ;
}

.pe-2 {
  padding-right: 0.5rem  ;
}

.pe-3 {
  padding-right: 1rem  ;
}

.pe-4 {
  padding-right: 1.5rem  ;
}

.pe-5 {
  padding-right: 3rem  ;
}

.pb-0 {
  padding-bottom: 0  ;
}

.pb-1 {
  padding-bottom: 0.25rem  ;
}

.pb-2 {
  padding-bottom: 0.5rem  ;
}

.pb-3 {
  padding-bottom: 1rem  ;
}

.pb-4 {
  padding-bottom: 1.5rem  ;
}

.pb-5 {
  padding-bottom: 3rem  ;
}

.ps-0 {
  padding-left: 0  ;
}

.ps-1 {
  padding-left: 0.25rem  ;
}

.ps-2 {
  padding-left: 0.5rem  ;
}

.ps-3 {
  padding-left: 1rem  ;
}

.ps-4 {
  padding-left: 1.5rem  ;
}

.ps-5 {
  padding-left: 3rem  ;
}

.font-monospace {
  font-family: var(--bs-font-monospace)  ;
}

.fs-1 {
  font-size: calc(1.359375rem + 1.3125vw)  ;
}

.fs-2 {
  font-size: calc(1.3125rem + 0.75vw)  ;
}

.fs-3 {
  font-size: calc(1.2890625rem + 0.46875vw)  ;
}

.fs-4 {
  font-size: calc(1.265625rem + 0.1875vw)  ;
}

.fs-5 {
  font-size: 1.171875rem  ;
}

.fs-6 {
  font-size: 0.9375rem  ;
}

.fst-italic {
  font-style: italic  ;
}

.fst-normal {
  font-style: normal  ;
}

.fw-light {
  font-weight: 400  ;
}

.fw-lighter {
  font-weight: lighter  ;
}

.fw-normal {
  font-weight: 500  ;
}

.fw-bold {
  font-weight: 700  ;
}

.fw-bolder {
  font-weight: bolder  ;
}

.lh-1 {
  line-height: 1  ;
}

.lh-sm {
  line-height: 1.25  ;
}

.lh-base {
  line-height: 1.5  ;
}

.lh-lg {
  line-height: 2  ;
}

.text-start {
  text-align: left  ;
}

.text-end {
  text-align: right  ;
}

.text-center {
  text-align: center  ;
}

.text-decoration-none {
  text-decoration: none  ;
}

.text-decoration-underline {
  text-decoration: underline  ;
}

.text-decoration-line-through {
  text-decoration: line-through  ;
}

.text-lowercase {
  text-transform: lowercase  ;
}

.text-uppercase {
  text-transform: uppercase  ;
}

.text-capitalize {
  text-transform: capitalize  ;
}

.text-wrap {
  white-space: normal  ;
}

.text-nowrap {
  white-space: nowrap  ;
}

/* rtl:begin:remove */
.text-break {
  word-wrap: break-word  ;
  word-break: break-word  ;
}

/* rtl:end:remove */
.text-primary {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-primary-rgb), var(--bs-text-opacity))  ;
}

.text-secondary {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-secondary-rgb), var(--bs-text-opacity))  ;
}

.text-success {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-success-rgb), var(--bs-text-opacity))  ;
}

.text-info {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-info-rgb), var(--bs-text-opacity))  ;
}

.text-warning {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-warning-rgb), var(--bs-text-opacity))  ;
}

.text-danger {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-danger-rgb), var(--bs-text-opacity))  ;
}

.text-light {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-light-rgb), var(--bs-text-opacity))  ;
}

.text-dark {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-dark-rgb), var(--bs-text-opacity))  ;
}

.text-black {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-black-rgb), var(--bs-text-opacity))  ;
}

.text-white {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-white-rgb), var(--bs-text-opacity))  ;
}

.text-body {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-body-color-rgb), var(--bs-text-opacity))  ;
}

.text-muted {
  --bs-text-opacity: 1;
  color: #e1e4e6  ;
}

.text-black-50 {
  --bs-text-opacity: 1;
  color: rgba(0, 0, 0, 0.5)  ;
}

.text-white-50 {
  --bs-text-opacity: 1;
  color: rgba(255, 255, 255, 0.5)  ;
}

.text-reset {
  --bs-text-opacity: 1;
  color: inherit  ;
}

.text-opacity-25 {
  --bs-text-opacity: 0.25;
}

.text-opacity-50 {
  --bs-text-opacity: 0.5;
}

.text-opacity-75 {
  --bs-text-opacity: 0.75;
}

.text-opacity-100 {
  --bs-text-opacity: 1;
}

.bg-primary {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-primary-rgb), var(--bs-bg-opacity))  ;
}

.bg-secondary {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-secondary-rgb), var(--bs-bg-opacity))  ;
}

.bg-success {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-success-rgb), var(--bs-bg-opacity))  ;
}

.bg-info {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-info-rgb), var(--bs-bg-opacity))  ;
}

.bg-warning {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-warning-rgb), var(--bs-bg-opacity))  ;
}

.bg-danger {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-danger-rgb), var(--bs-bg-opacity))  ;
}

.bg-light {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity))  ;
}

.bg-dark {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-dark-rgb), var(--bs-bg-opacity))  ;
}

.bg-black {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-black-rgb), var(--bs-bg-opacity))  ;
}

.bg-white {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-white-rgb), var(--bs-bg-opacity))  ;
}

.bg-body {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-body-bg-rgb), var(--bs-bg-opacity))  ;
}

.bg-transparent {
  --bs-bg-opacity: 1;
  background-color: transparent  ;
}

.bg-opacity-10 {
  --bs-bg-opacity: 0.1;
}

.bg-opacity-25 {
  --bs-bg-opacity: 0.25;
}

.bg-opacity-50 {
  --bs-bg-opacity: 0.5;
}

.bg-opacity-75 {
  --bs-bg-opacity: 0.75;
}

.bg-opacity-100 {
  --bs-bg-opacity: 1;
}

.bg-gradient {
  background-image: var(--bs-gradient)  ;
}

.user-select-all {
  -webkit-user-select: all  ;
  -moz-user-select: all  ;
  user-select: all  ;
}

.user-select-auto {
  -webkit-user-select: auto  ;
  -moz-user-select: auto  ;
  -ms-user-select: auto  ;
  user-select: auto  ;
}

.user-select-none {
  -webkit-user-select: none  ;
  -moz-user-select: none  ;
  -ms-user-select: none  ;
  user-select: none  ;
}

.pe-none {
  pointer-events: none  ;
}

.pe-auto {
  pointer-events: auto  ;
}



.visible {
  visibility: visible  ;
}

.invisible {
  visibility: hidden  ;
}

@media (min-width: 576px) {
  .float-sm-start {
    float: left  ;
  }

  .float-sm-end {
    float: right  ;
  }

  .float-sm-none {
    float: none  ;
  }

  .d-sm-inline {
    display: inline  ;
  }

  .d-sm-inline-block {
    display: inline-block  ;
  }

  .d-sm-block {
    display: block  ;
  }

  .d-sm-grid {
    display: grid  ;
  }

  .d-sm-table {
    display: table  ;
  }

  .d-sm-table-row {
    display: table-row  ;
  }

  .d-sm-table-cell {
    display: table-cell  ;
  }

  .d-sm-flex {
    display: -webkit-box  ;
    display: -ms-flexbox  ;
    display: flex  ;
  }

  .d-sm-inline-flex {
    display: -webkit-inline-box  ;
    display: -ms-inline-flexbox  ;
    display: inline-flex  ;
  }

  .d-sm-none {
    display: none  ;
  }

  .flex-sm-fill {
    -webkit-box-flex: 1  ;
    -ms-flex: 1 1 auto  ;
    flex: 1 1 auto  ;
  }

  .flex-sm-row {
    -webkit-box-orient: horizontal  ;
    -webkit-box-direction: normal  ;
    -ms-flex-direction: row  ;
    flex-direction: row  ;
  }

  .flex-sm-column {
    -webkit-box-orient: vertical  ;
    -webkit-box-direction: normal  ;
    -ms-flex-direction: column  ;
    flex-direction: column  ;
  }

  .flex-sm-row-reverse {
    -webkit-box-orient: horizontal  ;
    -webkit-box-direction: reverse  ;
    -ms-flex-direction: row-reverse  ;
    flex-direction: row-reverse  ;
  }

  .flex-sm-column-reverse {
    -webkit-box-orient: vertical  ;
    -webkit-box-direction: reverse  ;
    -ms-flex-direction: column-reverse  ;
    flex-direction: column-reverse  ;
  }

  .flex-sm-grow-0 {
    -webkit-box-flex: 0  ;
    -ms-flex-positive: 0  ;
    flex-grow: 0  ;
  }

  .flex-sm-grow-1 {
    -webkit-box-flex: 1  ;
    -ms-flex-positive: 1  ;
    flex-grow: 1  ;
  }

  .flex-sm-shrink-0 {
    -ms-flex-negative: 0  ;
    flex-shrink: 0  ;
  }

  .flex-sm-shrink-1 {
    -ms-flex-negative: 1  ;
    flex-shrink: 1  ;
  }

  .flex-sm-wrap {
    -ms-flex-wrap: wrap  ;
    flex-wrap: wrap  ;
  }

  .flex-sm-nowrap {
    -ms-flex-wrap: nowrap  ;
    flex-wrap: nowrap  ;
  }

  .flex-sm-wrap-reverse {
    -ms-flex-wrap: wrap-reverse  ;
    flex-wrap: wrap-reverse  ;
  }

  .gap-sm-0 {
    gap: 0  ;
  }

  .gap-sm-1 {
    gap: 0.25rem  ;
  }

  .gap-sm-2 {
    gap: 0.5rem  ;
  }

  .gap-sm-3 {
    gap: 1rem  ;
  }

  .gap-sm-4 {
    gap: 1.5rem  ;
  }

  .gap-sm-5 {
    gap: 3rem  ;
  }

  .justify-content-sm-start {
    -webkit-box-pack: start  ;
    -ms-flex-pack: start  ;
    justify-content: flex-start  ;
  }